package com.ruoyi.system.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * platFormBanner对象 wy_platform_banner
 * 
 * @author ruoyi
 * @date 2025-01-05
 */
public class WyPlatformBanner extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** banner名称 */
    @Excel(name = "banner名称")
    private String bannerName;

    /** banner位置 */
    @Excel(name = "banner位置")
    private String bannerType;

    /** 图片链接 */
    @Excel(name = "图片链接")
    private String bannerUrl;

    /** 跳转链接 */
    @Excel(name = "跳转链接")
    private String bannerLink;

    /** 发布状态 */
    @Excel(name = "发布状态")
    private Integer publishState;

    /** 显示顺序 */
    @Excel(name = "显示顺序")
    private Long showOrder;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Date showStartTime;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Date showEndTime;

    /** 曝光量 */
    @Excel(name = "曝光量")
    private Long showCount;

    /** 点击量 */
    @Excel(name = "点击量")
    private Long clickCount;

    /** 点击率 */
    @Excel(name = "点击率")
    private BigDecimal clickRate;

    /** 显示地区 */
    @Excel(name = "显示地区")
    private String showRegion;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setBannerName(String bannerName) 
    {
        this.bannerName = bannerName;
    }

    public String getBannerName() 
    {
        return bannerName;
    }
    public void setBannerType(String bannerType) 
    {
        this.bannerType = bannerType;
    }

    public String getBannerType() 
    {
        return bannerType;
    }
    public void setBannerUrl(String bannerUrl) 
    {
        this.bannerUrl = bannerUrl;
    }

    public String getBannerUrl() 
    {
        return bannerUrl;
    }
    public void setBannerLink(String bannerLink) 
    {
        this.bannerLink = bannerLink;
    }

    public String getBannerLink() 
    {
        return bannerLink;
    }
    public void setPublishState(Integer publishState) 
    {
        this.publishState = publishState;
    }

    public Integer getPublishState() 
    {
        return publishState;
    }
    public void setShowOrder(Long showOrder) 
    {
        this.showOrder = showOrder;
    }

    public Long getShowOrder() 
    {
        return showOrder;
    }
    public void setShowStartTime(Date showStartTime) 
    {
        this.showStartTime = showStartTime;
    }

    public Date getShowStartTime() 
    {
        return showStartTime;
    }
    public void setShowEndTime(Date showEndTime) 
    {
        this.showEndTime = showEndTime;
    }

    public Date getShowEndTime() 
    {
        return showEndTime;
    }
    public void setShowCount(Long showCount) 
    {
        this.showCount = showCount;
    }

    public Long getShowCount() 
    {
        return showCount;
    }
    public void setClickCount(Long clickCount) 
    {
        this.clickCount = clickCount;
    }

    public Long getClickCount() 
    {
        return clickCount;
    }
    public void setClickRate(BigDecimal clickRate) 
    {
        this.clickRate = clickRate;
    }

    public BigDecimal getClickRate() 
    {
        return clickRate;
    }
    public void setShowRegion(String showRegion) 
    {
        this.showRegion = showRegion;
    }

    public String getShowRegion() 
    {
        return showRegion;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("bannerName", getBannerName())
            .append("bannerType", getBannerType())
            .append("bannerUrl", getBannerUrl())
            .append("bannerLink", getBannerLink())
            .append("publishState", getPublishState())
            .append("showOrder", getShowOrder())
            .append("showStartTime", getShowStartTime())
            .append("showEndTime", getShowEndTime())
            .append("showCount", getShowCount())
            .append("clickCount", getClickCount())
            .append("clickRate", getClickRate())
            .append("showRegion", getShowRegion())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
